Documents

Get My Document Signing Url

Opens an in-app DocuSign signing session on a document already waiting for the caller's own signature.

POSThttps://api.toku.com/hris/get-my-document-signing-url

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/hris/get-my-document-signing-url' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "templateInstanceId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
200 response
{
  "signingUrl": "string",
  "roleInOrgID": "string",
  "envelopeId": "string",
  "templateInstanceId": "string",
  "documentName": "string",
  "formType": "W4"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

templateInstanceIdstring<uuid>required

Response

200Successful response
signingUrlstringrequired
roleInOrgIDstringrequired
envelopeIdstringrequired
templateInstanceIdstringrequired
documentNamestringrequired
formTypestring | nullrequired

Available options: W4, W8, W9, STATE_TAX, I9, null

400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits